10 REM Jesus of Nazareth - Version 1.35
15 REM By: Paul Panks (dunric@yahoo.com)
20 REM Entered into the 2005 IF-Comp
25 REM Beta-tested by: Ryan McLaughlin
35 REM                 Eric Forgeot
40 REM                 Others
42 CLEAR:ON ERROR GOTO 9000:COLOR 1,7:CLS: REM Set colors to 1,7 (blue,grey) and clear screen
43 DIM DS$(30),M(30,6),NO$(30),AO$(30),LO(30),VB$(25),WD$(100):IC=0:RM=1:EG=0
45 ?"Jesus of Nazareth (Version 1.35)":?"By: Paul Panks (dunric@yahoo.com)":?"2005 IF-Comp entry":?
46 ?"It is the year 28 A.D. The Roman authorities control a vast empire, stretching"
47 ?"from Africa to Syria. You are Jesus, hailing from the small village of Naza-"
48 ?"reth. It is in the town of Capernaum, nearly a mile across along the north-"
49 ?"western shore of the Sea of Galilee, where you begin your ministry.":?
50 ?"Your goal is to convert as many followers as possible to your teachings,"
51 ?"those of the Essenes and John the Baptist. It won't be easy, for only a"
52 ?"few in Capernaum share your vision of the Father (Abba). The Roman tax"
53 ?"collector Matthew, under the guidance of Harod Antipas, the governor of"
54 ?"Galilee, is said to be wandering about the dusty streets near Peter's"
55 ?"house. You know of Peter from his fishing boat, resting in the northern":?"harbor of Capernaum.":?
56 ?"The sayings of Jesus: as recorded in the Gospels of Mark, Thomas and the":?"Unknown Gospel (Papyrus Egerton 2). Credit goes to them for these words.":?
57 ?"When you have a question, or need help, type 'help' at the game prompt. To"
58 ?"quit this adventure, type 'quit'. To see your score, type 'score'.":?
59 ?"@ Press any key to begin playing! @"
60 A$=INKEY$:IF A$="" THEN GOTO 60
61 CLS:?:?"Jesus of Nazareth (Version 1.35)":?"Release 38/Serial Number 06132005022925A":?:DT=1
62 REM // -----------------------------------------------------------------------
63 REM // Initialize Rooms
64 REM // -----------------------------------------------------------------------  
65 REM Room descriptions (5 lines long each) x 28 rooms
66 REM Descriptive rooms are mostly longer than normal.
67 IF DT=1 THEN GOTO 313
IF LT=0 THEN IF RM=18 OR RM=19 OR RM=20 THEN ?"It is too much too dark to see anything!":?"You need a lamp to light the way!":GOTO 382
IF RM=1 THEN
68 DS$(RM)="Before the Northern Wall at Capernaum":? DS$(RM):?
69 ?"You stand before the northern wall in the town of Capernaum. A major trade"
70 ?"route between Egypt, Palestine and Syria, the town stretches for over two-thirds";
71 ?"of a mile on the northwestern edge of the Sea of Galilee, three miles west of"
72 ?"Galilee and the River Jordan. The wall is made from black basaltic stone, hewn"
73 ?"from a nearby rock formation. Beyond the northern wall lies the road to Thella,"
74 ?"heading straight into the heart of Syria. There is a note tacked to the wall.":?"Type 'help' for a list of commands/verbs."
75 END IF
76 IF RM=2 THEN
77 DS$(RM)="In the central market, south of the Northern Wall":? DS$(RM):?
78 ?"You are walking in the dusty, open space of the central market of Capernaum."
79 ?"The town relies on fishing as a main industry, as you can see dozens if not"
80 ?"hundreds of people moving about the busy square of the town. The basaltic soil"
81 ?"is quite fertile, for outside the square the Valley of Jordan is visible, spir-"
82 ?"aling eastward towards Galilee. To the south of the marketplace lies a multitude";
83 ?"of houses, rising upwards towards the shining light of the midday sun.":?"Towards the west stands the house of Peter, a local fisherman."
84 END IF
85 IF RM=3 THEN
86 DS$(RM)="Inside Peter's house, west of the marketplace":? DS$(RM):? 
87 ?"You are standing inside the house of Peter, a local fisherman of Capernaum. The"
88 ?"building is constructed of basaltic stone and dirt. Sitting upon the floor are"
89 ?"several simple furnishings, including a small table, several bowls and a small"
90 ?"bed. Sunlight hits the floor from several hand made windows nearby, as the"
91 ?"remains of the day settle down upon the Sea of Galilee. A small room is":?"adorned out of the western wall, near a small bed."
92 END IF
93 IF RM=4 THEN
94 DS$(RM)="Western room, east of the main house":? DS$(RM):?
95 ?"You are hunched over in a small room, cut out of the western wall opposite the"
96 ?"main entrance. The area feels cramped and tiny, not more than five feet from"
97 ?"center to ground. Towards the southern wall lies a bed, which is nothing more"
98 ?"than a small cot. The room was apparently made small on purpose, to serve in"
99 ?"the needs of prayer and meditation. A series of small terra-cotta lamps"
100 ?"illuminate the darkness in front of you, the olive oil burning especially":?"bright with a golden glow."
101 END IF
102 IF RM=5 THEN
103 DS$(RM)="By a small cot, inside the house of Peter":? DS$(RM):?
104 ?"You stand before a small cot. The bed is made of small fibers, probably wool."
105 ?"It feels comfortable to the touch. The length of the bed is no more than six"
106 ?"feet on a side, while the width is about the size of your arm. At the top of"
107 ?"the cot is a raised pillow, made from goat skin. The only exit is back north."
108 END IF
109 IF RM=6 THEN
110 DS$(RM)="Eastern road, heading out of Capernaum towards a valley":? DS$(RM):?
111 ?"You are walking on the eastern road heading out of the village of Capernaum."
112 ?"It is a well traversed road with many stones, leaves and small rocks. The road"
113 ?"stretches out for a few miles towards the northeast, winding into a small valley";
114 ?"below a large hill. At the base of the hill stands a large olive tree."
115 ?"The road continues to the east, while back west stands the village of Capernaum.";
116 END IF
117 IF RM=7 THEN
118 DS$(RM)="Winding road, by a large olive tree":? DS$(RM):?
119 ?"You are walking on a dusty road that winds through a small valley to the east."
120 ?"A large olive tree stands by the side of the road here, growing in twisted,"
121 ?"tangled branches towards the afternoon sun. It appears to provide ample shade"
122 ?"to the many travellers who walk along this road. Near the top of the olive tree"
123 ?"grows a long branch. It appears heavy enough to support the weight of an adult."
124 ?"The road heads into a small valley towards the east."
125 END IF
126 IF RM=8 THEN
127 DS$(RM)="Western edge of the Jordan Valley, facing east":? DS$(RM):?
128 ?"You are walking in the Valley of Jordan, situated at the base of a long, winding";
129 ?"road heading into Capernaum, a large fishing village. The Valley spreads out for";
130 ?"miles without end, stopping towards the south by the northern shoreline of the"
131 ?"Sea of Galilee. Tall olive trees dominate the area, sprouting upwards like way-"
132 ?"ward vines atop towering columns of air."
133 ?"To the south, the Valley of Jordan opens up into a wider expanse near the shore.";
134 END IF
135 IF RM=9 THEN
136 DS$(RM)="On the southern edge of the Jordan Valley, near the Sea of Galilee":? DS$(RM):?
137 ?"You stand at the southern edge of the Valley of Jordan, near the Sea of Galilee.";
138 ?"A light breeze from the sea hits your face as you walk across the valley, send-"
139 ?"ing a slight shiver down your spine. As you look eastward, you see the northern"
140 ?"shore of the mammoth sea, as twinkling rays of sunlight dance upon the water's"
141 ?"edge.":?"The valley stops here and gives way to a narrow shore."
142 END IF
143 IF RM=10 THEN
144 DS$(RM)="On the northern shores of the Sea of Galilee, east of Capernaum":? DS$(RM):?
145 ?"You are walking along the northern shore of the Sea of Galilee, which expands"
146 ?"to the south for several miles. The harbor itself extends for over half a"
147 ?"mile, providing ships with a natural docking point against the shoreline."
148 ?"The northern shore continues to the south, heading past a Roman garrison"
149 ?"nearby.":?"A small fig tree grows in the sand of the northern shore."
150 END IF
151 IF RM=11 THEN
152 DS$(RM)="On the shores of the Sea of Galilee, south of the Jordan Valley":? DS$(RM):? 
153 ?"You are walking in the soft sands of the shoreline near the Sea of Galilee. A"
154 ?"gentle breeze sweeps your hair from the west, with the delightful scent of"
155 ?"cooking evident in the misty air. As you walk further down the shoreline, you"
156 ?"notice a Roman garrison erected on the shores of the sea. Harod Antipas, the"
157 ?"governor of all of Galilee, built this structure to remind citizens of their"
158 ?"Roman allegiances. The Roman fort stands directly south of here."
159 END IF
160 IF RM=12 THEN
161 DS$(RM)="At the Roman garrison, southeast of the town of Capernaum":? DS$(RM):?
162 ?"You are walking along the northern wall of the Roman garrison, stationed a"
163 ?"mile or so from the town of Capernaum, near the Sea of Galilee. Looking west-"
164 ?"ward, you can faintly make out the many ships and people crossing the harbor"
165 ?"into Capernaum, a sight to behold for the eyes of a rogue Essene prophet."
166 ?"The men of the garrison are (mostly) Roman, with a few Gauls and Syrians"
167 ?"mixed into the lot. To the south lies the heart of the garrison, near the":?"center walls."
168 END IF
169 IF RM=13 THEN
170 DS$(RM)="In the center of the Roman garrison, near the outer ramparts.":? DS$(RM):?
171 ?"You stand in the center of the Roman garrison, near the outer ramparts of the"
172 ?"fort. A long hallway extends to the west and south, respectively. The end of"
173 ?"the garrison lies to the south, where the southern shores of the Sea of Galilee"
174 ?"meet the basaltic stone of the Roman garrison."
175 ?"A chamber hall stands to the west, heading north."
176 END IF
177 IF RM=14 THEN
178 DS$(RM)="In a small chamber hall, heading to the north":? DS$(RM):?
179 ?"You are walking in a small chamber hall just east of the center of the Roman"
180 ?"garrison. A long hallway extends several feet in front of you, terminating at"
181 ?"a large stone staircase. Atop the staircase is raised a large throne, built for"
182 ?"Harod Antipas, governor of Galilee. It is there that many lives are either made"
183 ?"or broken, twisted by the will of a wayward pagan."
184 END IF       
185 IF RM=15 THEN
186 DS$(RM)="At the throne of judgment, atop a stone staircase":? DS$(RM):?
187 ?"You stand before the throne of judgment, a seat reserved for none other than"
188 ?"Harod Antipas, the governor of Galilee. Like Pontius Pilate, Harod is a hard"
189 ?"man, bent in the ways of the Roman world and no other. He is cruel, angry"
190 ?"and bitter, a man torn by the ravages of war and outright rebellion. Far"
191 ?"from the center of Rome, this outpost serves as a testament to the"
192 ?"strength of the Roman military, vaux machina."
193 ?"You notice a large throne here, guilded in bronze and copper."
194 END IF
195 IF RM=16 THEN
196 DS$(RM)="At the southern edge of the Roman garrison":? DS$(RM):?
197 ?"You are overlooking the southern edge of the Roman garrison, towards the"
198 ?"southwest. A slight breeze tapers your hair, crisscrossing the fibers with"
199 ?"unrapt solitude. Beyond the garrison, towards the south, lies the sandy"
200 ?"shores of the Sea of Galilee, stretching westward to infinity."
201 ?"The end of the garrison is here, a few steps above the shore."
202 END IF
203 IF RM=17 THEN
204 DS$(RM)="On the shores of the Sea of Galilee, southern port":? DS$(RM):?
205 ?"You are walking upon the sandy shores of the Sea of Galilee, spreading"
206 ?"to the southwest in a finely curved arc, the expanse of which reaches the"
207 ?"town of Tiberias, north of Ammathus. A small limestone cave rests near"
208 ?"the town of Gergesa towards the west, where a small tributary from the"
209 ?"sea expands into the basaltic soil of eastern Galilee."
210 ?"The cave looks dark and foreboding, a portent of evil spirits."
211 END IF
212 IF RM=18 THEN
213 DS$(RM)="Inside a small cave, near the town of Gergesa":? DS$(RM):?
214 ?"You are standing inside a small cave near the town of Gergesa (known as"
215 ?"Kursi to the Jewish populace). A herd of swine had recently drowned near"
216 ?"the caves, sending a foul stench along the viscera of the cave itself."
217 ?"You notice crude lettering engraved on the walls of the cave, probably"
218 ?"done by local fishermen, or even members of the Essenes. The cave"
219 ?"continues to the south, winding westward as it goes."
220 END IF
221 IF RM=19 THEN
222 DS$(RM)="In a cave, east of the Sea of Galilee":? DS$(RM):?
223 ?"You are walking in a narrow cave east of the Sea of Galilee. The level of"
224 ?"the cave is about twenty feet below the shoreline, plunging deep into the"
225 ?"heart of demons to the west. The cave rounds out to the west and south by"
226 ?"a narrow tunnel, which itself is burrowed naturally from the flowing of"
227 ?"water by the eons of time itself."
228 ?"The cave continues west, snaking around a small corner."
229 END IF
230 IF RM=20 THEN
231 DS$(RM)="At the end of a small cave, western edge":? DS$(RM):?
232 ?"You stand before the end of a small cave, near the western edge of the tunnel"
233 ?"itself. Crude lamps illuminate the darkness in front of you, providing minimal"
234 ?"lighting for the area. Still, such implements in a cave would suggest a communal";
235 ?"presence, perhaps that of the Essenes. Inside this sacred keep are scattered"
236 ?"several jars, inside which important documents may be found."
237 ?"You notice one particular jar near the western wall, with esoteric markings."
238 END IF
239 IF RM=21 THEN
240 DS$(RM)="Inside a small house, near the main market of Capernaum":? DS$(RM):?
241 ?"You are standing inside of a small house near the main market of the town of"
242 ?"Capernaum. It is a simple residence, with a long table situated in the center"
243 ?"of the room. Two small cots lie on opposite ends of the floor, while small";
244 ?"terra-cotta oil lamps cast their light on the room below. To the east, outside":?"of this ";
245 ?"house, stands another house (slightly larger)."
246 END IF
247 IF RM=22 THEN
248 DS$(RM)="At the eastern edge of a large house":? DS$(RM):?
249 ?"You are standing inside a large house, near the eastern edge of the town of"
250 ?"Capernaum. It is a large residence, with a table, several cots and a multitude"
251 ?"of terra-cotta lamps, lending brilliant light to the gaze of the entire house."
252 ?"A back room is visible directly south, where several papers and items are"
253 ?"scattered about simply."
254 END IF
255 IF RM=23 THEN
256 DS$(RM)="In the back room of a large house, in the town of Capernaum":? DS$(DM)
257 ?"You are standing inside the back room of a large house, situated near the"
258 ?"eastern edge of the town of Capernaum. The room is lit up by the strong light"
259 ?"of several terra-cotta oil lamps hung on nets overhead. An obvious fire hazard"
260 ?"to even you, a simple prophet, this room makes you somewhat uneasy in the"
261 ?"presence of burning oil. Scattered about the room are several items of"
262 ?"interest, including some official looking papers."
263 ?"Most of these papers bare the symbol of Harod Antipas."
264 END IF
265 IF RM=24 THEN
266 DS$(RM)="By the Southern Wall of Capernaum":? DS$(RM):?
267 ?"You stand before the southern wall in the town of Capernaum. A major trade"
268 ?"route between Egypt, Palestine and Syria, the town stretches for over two-"
269 ?"thirds of a mile on the northwestern edge of the Sea of Galilee, three miles"
270 ?"west of Galilee and the River Jordan. The wall is made from black basaltic"
271 ?"stone, hewn from a nearby rock formation. Beyond the southern wall lies":?"the shores of the Sea of Galilee, stretching to the south for several miles."
272 END IF
273 IF RM=25 THEN
274 DS$(RM)="On the shores of the Sea of Galilee, looking south":? DS$(RM):?
275 ?"You are standing on the sandy shores of the Sea of Galilee, as a gentle wind"
276 ?"sweeps through your hair in the wisps of a warm breeze. The shores of the sea"
277 ?"stretch in either direction here (both to the east and to the west). To the"
278 ?"south, a tall fishing boat is visible, manned by the local fishermen of"
279 ?"Capernaum. Rumor has it that this is Peter's fishing boat, as evidenced by":?"the grand design of the ship."
280 ?"Peter's fishing boat is south, anchored in the northern Sea of Galilee."
281 END IF
282 IF RM=26 THEN
283 DS$(RM)="Inside Peter's fishing boat, just off shore in the Sea of Galilee.":? DS$(RM):?
284 ?"You are standing inside Peter's fishing boat, a large vessel anchored just off"
285 ?"the shores of the Sea of Galilee. The boat is constructed of wood and strong"
286 ?"timber, as finely crafted a ship as these Essene eyes have ever seen. In the"
287 ?"fading sunlight of the day, you notice the water sparkle, flowing gently about"
288 ?"like red wine at a large wedding. Off the boat you can see several men casting"
289 ?"nets into the water, some of them already filling with fish. The abundance of":?"the fish makes you hungry, and so you eat. Amen.":IF LO(21)=RM AND LO(22)=RM AND LO(23)=RM AND LO(24)=RM THEN EG=1:?"You can 'set sail' at any time, Master."
290 END IF
291 IF RM=27 THEN
292 DS$(RM)="Upon the eastern shores of the Sea of Galilee":? DS$(RM):? 
293 ?"You stand upon the eastern shores of the Sea of Galilee, walking towards the"
294 ?"River Jordan a few miles to the east. Visible up ahead, just to the north, is"
295 ?"a small fig tree (planted by the local fishermen). Supposedly, fig trees bare"
296 ?"fruit in the spring and give great abundance to the planters. Merely sowing the"
297 ?"seeds of the fig tree grants one eleven fish and twenty loaves of bread (or so"
298 ?"the local legend portends).":?"There stands to the north a small fig tree, planted by local fishermen."
299 END IF
300 IF RM=28 THEN
301 DS$(RM)="Upon the western shores of the Sea of Galilee":? DS$(RM):?
302 ?"You stand upon the western shores of the Sea of Galilee, overlooking the"
303 ?"vast harbor of Capernaum. The town stretches for nearly a full mile along"
304 ?"the northern shores of the sea. A few local fishermen are scattered about"
305 ?"the shoreline, casting their nets out in hopes of finding many fish. But"
306 ?"as the Essenes already know, you won't find abundance where the shore"
307 ?"meets the sea, for only when you venture outside can you find the inner":?"strength from within."
308 END IF
309 IF RM>28 THEN GOTO 1000: REM Room 29
310 REM // -----------------------------------------------------------------------
311 REM // Read in DATA - Rooms begin in LINE 67
312 REM // -----------------------------------------------------------------------
313 IF DT=1 THEN
314 DT=0
315 FOR X=1 TO 29:FOR Y=1 TO 6:READ M(X,Y):NEXT:NEXT:REM Read in Map
316 FOR X=1 TO 30:READ NO$(X),AO$(X),LO(X):NEXT:REM Read in Nouns, Aliases and Locations
317 FOR X=1 TO 23:READ VB$(X):NEXT:REM Read in Verbs
318 DATA 0,2,0,0,0,0:REM Room 1
319 DATA 1,21,6,3,0,0:REM Room 2
320 DATA 0,0,2,4,0,0:REM Room 3
321 DATA 0,5,3,0,0,0:REM Room 4
322 DATA 4,0,0,0,0,0:REM Room 5
323 DATA 0,0,7,2,0,0:REM Room 6
324 DATA 0,0,8,6,0,0:REM Room 7
325 DATA 0,9,0,7,0,0:REM Room 8
326 DATA 8,0,10,0,0,0:REM Room 9
327 DATA 0,11,0,9,0,0:REM Room 10
328 DATA 10,12,0,0,0,0:REM Room 11
329 DATA 11,13,0,0,0,0:REM Room 12
330 DATA 12,16,0,14,0,0:REM Room 13
331 DATA 15,0,13,0,0,0:REM Room 14
332 DATA 0,14,0,0,0,0:REM Room 15
333 DATA 13,17,0,0,0,0:REM Room 16
334 DATA 16,0,0,18,0,0:REM Room 17
335 DATA 0,19,17,0,0,0:REM Room 18
336 DATA 18,0,0,20,0,0:REM Room 19
337 DATA 0,0,19,0,0,0:REM Room 20
338 DATA 2,24,22,0,0,0:REM Room 21
339 DATA 0,23,0,21,0,0:REM Room 22
340 DATA 22,0,0,0,0,0:REM Room 23
341 DATA 21,25,0,0,0,0:REM Room 24
342 DATA 24,26,27,28,0,0:REM Room 25
343 DATA 25,0,0,0,0,0:REM Room 26
344 DATA 0,0,0,25,0,0:REM Room 27
345 DATA 0,0,25,0,0,0:REM Room 28
346 DATA 0,0,0,0,0,7:REM Room 29
347 REM Read in Nouns (NO$), Aliases (AO$) and Locations (LO(X))
348 DATA "North","north",99,"South","south",99,"East","east",99,"West","west",99,"Up","up",99,"Down","down",99
349 DATA "A small terra-cotta lamp, burning brightly with olive oil","lamp",4
350 DATA "A tattered scroll, with Aramaic writing on it","scroll",4
351 DATA "A short Roman gladius, without flutes or adornments","gladius",20
352 DATA "Some rare documents, pertaining to the local Essene community","documents",20
353 DATA "A set of large, official looking papers (bearing the seal of Harod Antipas)","papers",23
354 DATA "A small tunic, worn around the torso","tunic",23
355 DATA "A rare medallion, glistening with the hypnotic light of the midday sun","medallion",22
356 DATA "A pair of leather sandles, worn by local fishermen","sandles",23
357 DATA "A Roman spear, about ten feet long with a wooden shaft","spear",1027
358 DATA "A fine Roman helmet, made from brass and copper","helmet",1027
359 DATA "A large Roman shield, heavy but strong enough to stop most swords","shield",1027
360 DATA "A small dagger, encrusted with tiny jewels","dagger",5
361 DATA "A large fishing boat, belonging to Peter (a local fisherman of Capernaum)","boat",26
362 DATA "A small fish, flapping about from lack of water","fish",999
363 DATA "This is Matthew, a local tax collector and sworn Roman official","matthew",3
364 DATA "This is Peter, a local fisherman of Capernaum","peter",26
365 DATA "This is Andrew, a local fisherman of Capernaum","andrew",28
366 DATA "This is James, a local fisherman of Capernaum","james",27
367 DATA "This is John, a local rebel and member of the Sicarii","john",20
368 DATA "This is Harod Antipas, the governor of Galilee","harod",15
369 DATA "A local centurion, watching the crowds with an uneasy gaze","centurion",12
370 DATA "A sickly boy, most probably of a local centurion","boy",21
371 DATA "This is Mary of Magdala, a town near the Lake of Tiberias","mary",2
372 DATA "A Roman soldier, standing watch over the crowd","soldier",2
373 REM Read in verbs
374 DATA "go","get","take","drop","use","examine","read","inventory","climb"
375 DATA "enter","convert","talk to","wield","unwield","wear","remove","light"
376 DATA "attack","fight","kill","cut","fish","eat"
377 GOTO 920: REM Read in saved game in file: game.sav
381 END IF
382 ?"Obvious exits: < ";:FOR X=1 TO 6:IF M(RM,X)>0 THEN ? NO$(X);" ";
383 NEXT:?">":FOR X=7 TO 30:IF LO(X)=RM THEN ? NO$(X)
384 NEXT
395 XX=CSRLIN:GOSUB 5000:A=0:CT=CT+1:FOR X=1 TO 100:WD$(X)="":NEXT:N=0:V=0:A$="":ZL$="":INPUT">",A$:GOSUB 6000
396 IF A$="quit" OR A$="exit" OR A$="bye" OR A$="goodbye" OR A$="good bye" THEN CLS:GOTO 995 
397 IF A$="help" OR A$="hint" THEN GOTO 700
398 IF A$="score" OR A$="points" OR A$="?" THEN GOTO 750
399 GOTO 1500
400 IF A$="inv" OR A$="inventory" OR A$="i" OR A$="inven" OR A$="invent" THEN GOTO 725
401 IF A$="climb tree" THEN IF RM=7 THEN RM=29:?"You climb up the tree...":GOTO 67
402 IF A$="climb wall" OR A$="climb walls" THEN IF RM=1 OR RM=3 OR RM=4 OR RM=5 OR RM>11 AND RM<25 AND RM<>17 THEN ?"The walls are much too high to climb safely.":GOTO 395
403 IF A$="climb tree" OR A$="climb trees" OR A$="climb wall" OR A$="climb walls" THEN ?"You can't climb that.":GOTO 395
404 IF A$="enter cave" THEN IF RM=17 THEN RM=18:?"You enter the cave to the west...":GOTO 67
405 IF A$="enter cave" THEN ?"You can't do that here.":GOTO 395
406 IF A$="enter house" THEN IF RM=2 THEN RM=3:?"You enter Peter's house...":GOTO 67
407 IF A$="enter boat" THEN IF RM=25 THEN RM=26:?"You enter Peter's boat...":GOTO 67
408 IF A$="enter house" OR A$="enter boat" THEN ?"You can't do that here.":GOTO 395
409 IF A$="save" OR A$="save game" OR A$="record" OR A$="record game" THEN GOTO 890
410 post=1: number=0:IF LEFT$(A$,8)="look at " THEN MID$(A$,1,8)="examine "
411 dat$=A$:FOR a=1 TO LEN(dat$)
412 IF MID$(dat$, a, 1)=" " THEN
413 A$=MID$(dat$, post, a - post): post=a + 1:number=number + 1:WD$(number)=LCASE$(A$)
414 IF number>10 THEN number=10:?"Command formula too complex. Please rephrase.":GOTO 395
415 END IF
416 NEXT:number=number + 1: A$=MID$(dat$, post, a - post): WD$(number)=LCASE$(A$)
417 A$=dat$:IF LEFT$(A$,2)="x " OR LEFT$(A$,4)="exa " THEN V=6:GOTO 427
418 IF A$="n" OR A$="north" THEN N=1:V=1:GOTO 431
419 IF A$="s" OR A$="south" THEN N=2:V=1:GOTO 431
420 IF A$="e" OR A$="east" THEN N=3:V=1:GOTO 431
421 IF A$="w" OR A$="west" THEN N=4:V=1:GOTO 431
422 IF A$="u" OR A$="up" THEN N=5:V=1:GOTO 431
423 IF A$="d" OR A$="down" THEN N=6:V=1:GOTO 431
424 IF A$="l" OR A$="lk" OR A$="look" THEN GOTO 67
425 V=0:FOR X=1 TO 23:IF WD$(1)=VB$(X) THEN V=X
426 NEXT:IF A$="set sail" THEN IF RM<>26 THEN ?"You cannot set sail here.":GOTO 395
427 N=0:FOR X=1 TO 30:IF WD$(2)=AO$(X) THEN N=X
428 NEXT:IF A$="set sail" THEN IF RM=26 THEN GOTO 8500:REM End Game
429 IF N=0 OR N>30 THEN IF V<>6 AND V<>7 AND V<>9 AND V<>10 AND V<>17 AND V<>21 AND V<>22 THEN ?"You cannot do that here. ":GOTO 395
430 IF V=0 OR V>23 THEN ?"I don't know the verb '";WD$(1);"'.":?"Type 'help' for a list of commands understood by this game.":GOTO 395
431 ON V GOTO 435,445,455,465,475,485,635,725,432,395,395,395,645,655,665,675,685,3000,3000,3000,695,715,4000
432 ?"What?":GOTO 395
434 REM Go (435-443)
435 IF N>6 OR N=0 THEN ?"You cannot enter there.":GOTO 395
436 IF M(RM,N)=0 THEN ?"You cannot go that way.":GOTO 395
437 IF RM=12 AND N=2 AND LO(27)=RM AND LO(11)<>-1 THEN ?"The centurion stops you.":?"He says,'What must have official papers from Harod Antipas in order":?"to pass beyond this fortress!'":?"He says to you,'Your papers, please...'":GOTO 395
438 IF RM=12 AND N=2 AND LO(27)=RM AND LO(11)=-1 THEN ?"The centurion sees your official papers and steps aside, allowing you":?"to pass into the Roman garrison..."
439 IF RM=17 AND N=4 THEN IF LT=0 THEN ?"You must have a source of light to enter the cave.":?"Otherwise, it is much too dark to see.":GOTO 395
440 IF RM=17 AND N=4 THEN ?"There is a large rock partially blocking the main entrance to the cave.":?"You may be able to 'enter cave', however.":GOTO 395
441 :
442 RM=M(RM,N)
443 GOTO 67
444 REM Get (445-453)
445 IF N<7 OR N=0 OR N=19 OR N>20 THEN ?"You cannot take that.":GOTO 395
446 IF LO(N)<>RM THEN ?"That isn't here.":GOTO 395
447 IF IC>=7 THEN ?"You are carrying too much already!":GOTO 395
448 :
452 LO(N)=-1:? UCASE$(AO$(N));":Taken.":IC=IC+1
453 GOTO 395
454 REM Take (455-455)
455 GOTO 445
464 REM Drop (465-473)
465 IF N<7 OR N=0 OR N=19 OR N>20 THEN ?"You cannot drop that.":GOTO 395
466 IF LO(N)=105 THEN ?"You must unwield that first.":GOTO 395
467 IF LO(N)=205 THEN ?"You must remove that first.":GOTO 395
468 IF LO(N)<>-1 THEN ?"I don't see you carrying that.":GOTO 395
469 :
472 LO(N)=RM:? UCASE$(AO$(N));":Dropped.":IC=IC-1
473 GOTO 395
474 REM Use (475-483)
475 IF N<7 OR N=0 OR N>18 THEN ?"You cannot use that.":GOTO 395
476 IF LO(N)=105 THEN ?"The ";AO$(N);" is already equipped.":GOTO 395
477 IF LO(N)=205 THEN ?"The ";AO$(N);" is already being worn.":GOTO 395
478 IF LO(N)<>-1 THEN ?"You must be carrying the ";AO$(N);" in order to use it.":GOTO 395
479 IF N=7 THEN ?"You must 'light lamp' in order to use it.":GOTO 395
480 IF N=8 THEN ?"You must 'read scroll' in order to use it.":GOTO 395
481 IF N=10 OR N=11 THEN ?"You must '";WD$(1);" ";WD$(2);"' in order to use it.":GOTO 395
482 IF N=13 THEN ?"The medallion has no effect (nothing happens).":GOTO 395
483 ?"What you expected did not happen.":GOTO 395
484 REM Examine (485-633)
485 IF N=0 THEN GOTO 490
486 IF N<7 OR N>30 THEN ?"You can't examine that.":GOTO 395
487 IF LO(N)<>-1 AND LO(N)<>RM AND LO(N)<>105 AND LO(N)<>205 THEN ?"That isn't here.":GOTO 395
488 ? LCASE$(AO$(N));":":? NO$(N):GOSUB 8800:GOTO 395
489 REM Extended Descriptions of items described in rooms (5 per room x 29)
490 IF RM=1 THEN IF WD$(2)="note" THEN ?"The note reads:":?:?"'Harod Antipas:":?:?" Ye who reads these words most obey the laws of Rome. I am Antipas,":?" governor of Galilee. By the sword or thy mouth, you shall":?" bow to me...'":?:GOTO 395
491 :
492 si=0:GOSUB 9100:IF si=1 THEN GOTO 395
493 :
633 ?"You notice nothing unusual about the ";WD$(2);".":GOTO 395
634 REM Read (635-643)
635 IF N=0 OR N<7 THEN ?"You can't make out the ";WD$(2);".":GOTO 395
636 IF N>18 THEN ?"What?":GOTO 395
637 IF LO(N)<>RM AND LO(N)<>-1 THEN ?"You can't read what isn't readable.":GOTO 395
638 IF N=8 THEN
?"The scroll reads:":?
?"'EXODUS":?
?"3:1 Now Moses kept the flock of Jethro his father in law, the priest of":?"Midian: and he led the flock to the backside of the desert, and came to":?"the mountain of God, even to Horeb."
?"3:2 And the angel of the Lord appeared unto him in a flame of fire out of":?"the midst of a bush: and he looked, and, behold, the bush burned with fire,":?"and the bush was not consumed."
?"3:3 And Moses said, I will now turn aside, and see this great sight, why the":?"bush is not burnt."
?"3:4 And when the Lord saw that he turned aside to see, God called unto him out":?"of the midst of the bush, and said, Moses, Moses. And he said, Here am I."
?"3:5 And he said, Draw not nigh hither: put off thy shoes from off thy feet, for":?"the place whereon thou standest is holy ground.'":?
GOTO 395
639 END IF
640 IF N=10 THEN
?"These ancient documents are written in Aramaic, the language of the":?"common man. They read (in part):":?
?"'There was in the days of Herod, the King of Judea, a certain priest named"
?" Zacharias, of the course of Abia; and his wife was of the daughters of Aaron,"
?" and her name was Elisabeth.
?" And they were both righteous before God, walking in all the commandments and"
?" ordinances of the Lord blameless. And they had no child, because that Elisabeth"
?" was barren, and they both were now well stricken in years.
?" And it came to pass, that while he executed the priest's office before God in"
?" the order of his course, according to the custom of the priest's office, his"
?" lot was to burn incense when he went into the temple Iova."
?" And the whole multitude of the people were praying without at the time of the"
?" offering of incense.
?" And there appeared unto him an angel of the Lord standing over the altar of"
?" incense. And when Zacharias saw, he was troubled, and fear fell upon him. But"
?" the angel said unto him, Fear not, Zacharias, for thy prayer is heard; and thy"
?" wife Elisabeth, shall bear thee a son, and thou shalt call his name John.'":?
GOTO 395
641 END IF
642 IF N=11 THEN ?"The papers read (in part):":?:?"'To Harod Antipas, ruler of Galilee, from Gaius Cassius, Centurion":?"of Roman Legion X (Ten)":?:?"We should not be wary of the Judeans, for they are righteous in their ways.'":GOTO 395
643 ?"You cannot read what is not readable.":GOTO 395
644 REM Wield (645-653)
645 IF N<7 OR N=0 OR N>18 THEN ?"You cannot wield that.":GOTO 395
646 IF LO(N)<>-1 THEN ?"You must be carrying the ";AO$(N);" in order to wield it.":GOTO 395
647 IF N<>9 AND N<>15 AND N<>18 THEN ?"You cannot wield that.":GOTO 395
648 IF LO(9)=105 OR LO(15)=105 OR LO(18)=105 THEN ?"You are already wielding something else!":GOTO 395
649 :
652 LO(N)=105:? UCASE$(AO$(N));":Wielded."
653 GOTO 395
654 Rem Unwield (655-663)
655 IF N<7 OR N=0 OR N>18 THEN ?"You cannot unwield that.":GOTO 395
656 IF LO(N)<>105 THEN ?"You must be wielding the ";AO$(N);" in order to unwield it.":GOTO 395
657 IF N<>9 AND N<>15 AND N<>18 THEN ?"You cannot unwield that.":GOTO 395
658 :
659 :
662 LO(N)=-1:? UCASE$(AO$(N));":Unwielded."
663 GOTO 395
664 REM Wear (665-673)
665 IF N<7 OR N=0 OR N>18 THEN ?"You cannot wear that.":GOTO 395
666 IF LO(N)<>-1 THEN ?"You must be carrying the ";AO$(N);" in order to wear it.":GOTO 395
667 IF N<>12 AND N<>13 AND N<>14 AND N<>16 AND N<>17 THEN ?"You cannot wear that.":GOTO 395
668 :
669 :
672 LO(N)=205:? UCASE$(AO$(N));":Worn."
673 GOTO 395
674 REM Remove (675-683)
675 IF N<7 OR N=0 OR N>18 THEN ?"You cannot remove that.":GOTO 395
676 IF LO(N)<>205 THEN ?"You must be wearing the ";AO$(N);" in order to remove it.":GOTO 395
677 IF N<>12 AND N<>13 AND N<>14 AND N<>16 AND N<>17 THEN ?"You cannot remove that.":GOTO 395
678 :
679 :
682 LO(N)=-1:? UCASE$(AO$(N));":Removed."
683 GOTO 395
684 REM Light (685-693)
685 IF N=1 OR N=2 OR N=3 OR N=4 OR N=5 OR N=6 OR N>18 THEN ?"You cannot light that.":GOTO 395
686 IF LO(N)<>RM AND LO(N)<>-1 AND N<>0 THEN ?"That isn't here.":GOTO 395
687 IF N=0 THEN ?"The ";WD$(2);" is not flammable.":GOTO 395
688 IF N=7 THEN IF LT=0 THEN LT=1:CT=0:?"WHOOSH!":?"The lamp is now aglow.":GOTO 395
689 IF N=8 THEN IF LO(7)=0 AND LT=1 THEN ?"WHOOSH!":?"The scroll disintegrates into ashes upon the ground.":LO(8)=999:GOTO 395
690 IF N=10 THEN IF LO(7)=0 AND LT=1 THEN ?"WHOOSH!":?"The documents disintegrate into ashes upon the ground.":LO(10)=999:GOTO 395
691 IF N=11 THEN IF LO(7)=0 AND LT=1 THEN ?"WHOOSH!":?"The papers disintegrate into ashes upon the ground.":LO(11)=999:GOTO 395
692 IF N=8 OR N=10 OR N=11 THEN IF LT=0 THEN ?"You need a source of light in order to do that.":?"Try lighting the lamp in order to 'light ";AO$(N);"'.":GOTO 395
693 ?"You cannot light the ";AO$(N);".":GOTO 395
694 REM Cut (695)
695 GOTO 3000
699 REM Help command
700 ?"This is a text adventure. You play by entering in one or two word commands. The"
701 ?"commands consist of a verb followed by a noun. An example of this might include":?"the following:":?
702 ?"examine matthew":?
703 ?"Note that the parser won't accept words that are capitalized.":?
704 ?"The command syntax is summarized below:":?
705 ?"<verb> <noun>":?
706 ?"Example: convert matthew":?"(This command converts Matthew to be a disciple of Jesus).":?
707 ?"Verbs include: GO,GET,TAKE,DROP,USE,EXAMINE,READ,INVENTORY,CLIMB,ENTER,EAT,"
708 ?"CONVERT,TALK TO,WIELD,UNWIELD,WEAR,REMOVE,LIGHT,ATTACK,FIGHT,KILL,CUT,FISH.":?
709 ?"To convert a disciple, you may need to talk to them more than once or even":?"to convert them more than once. Merely talking to them won't convert them.":?
710 ?"Any questions, please e-mail me at: dunric@yahoo.com"
711 GOTO 395
714 REM Fish (715-723)
715 IF RM<>26 AND RM<>28 AND RM<>25 AND RM<>27 AND RM<>17 AND RM<>11 AND RM<>10 THEN ?"You cannot fish here.":GOTO 395
716 IF LO(15)<>-1 AND LO(15)<>105 THEN ?"You must be holding the spear in order to catch fish.":?"Try 'wield spear' (or merely have it in your inventory).":GOTO 395
717 IF LO(20)=RM OR LO(20)=-1 THEN ?"There is already a fish in your possession (or on the ground by":?"your feet).":GOTO 395
718 :
723 ?"ZING!":?"You caught a fish with the spear!":?"You pick it up and place it in your inventory.":LO(20)=-1:GOTO 395
724 REM Inventory
725 ?"You are carrying:":si=0
726 FOR X=7 TO 20:IF LO(X)=-1 THEN si=1:?" ";NO$(X)
727 IF LO(X)=105 THEN si=1:?" ";NO$(X);" (Wielded)"
728 IF LO(X)=205 THEN si=1:?" ";NO$(X);" (Worn)"
729 NEXT:IF si=0 THEN ?"Nothing!"
730 GOTO 395
750 ?"You are Jesus of Nazareth, a simple prophet of the Essenes. You were born to":?"save ";
751 ?"all of mankind from sin, as Abba (Father) has commanded of you. John the":?"Baptist ";
752 ?"trained you to heal the sick, cure the blind and cast demons out of":?"the multitudes."
753 ?"Your goal is to convert at least 4 disciples to your cause."
754 ?"Thus far, you have converted: "
755 CVT=0:IF CVMT=1 OR LO(21)=26 THEN ?"Matthew.":CVT=CVT+1
756 IF CVPT=1 THEN ?"Peter.":CVT=CVT+1
757 IF CVAW=1 OR LO(23)=26 THEN ?"Andrew.":CVT=CVT+1
758 IF CVJA=1 OR LO(24)=26 THEN ?"James.":CVT=CVT+1
759 IF CVJO=1 OR LO(25)=26 THEN ?"John":CVT=CVT+1
760 IF CVHA=1 OR LO(26)=26 THEN ?"Harod":CVT=CVT+1
761 IF CVMA=1 OR LO(29)=26 THEN ?"Mary":CVT=CVT+1
762 IF CVT>=6 THEN ?"You have converted all the disciples.":GOTO 395
763 ?"You still have";(6-CVT);"disciple(s) left to convert."
766 GOTO 395
889 REM Save game routine
890 OPEN "game.sav" FOR OUTPUT AS #1
891 PRINT #1,CVMT:PRINT #1,CVPT:PRINT #1,CVAW:PRINT #1,CVJA:PRINT #1,CVJO:PRINT #1,CVHA:PRINT #1, CVMA
892 PRINT #1,MATT:PRINT #1,PETE:PRINT #1,ANW:PRINT #1,JAME:PRINT #1,JOHN:PRINT #1,HERO:PRINT #1,MARY
893 PRINT #1,QS:PRINT #1,CVT:PRINT #1,IC:PRINT #1,RM
894 FOR X=7 TO 30:PRINT #1,LO(X):NEXT
895 CLOSE 1:PRINT"Game saved as file: game.sav"
896 GOTO 395
919 REM Load game routine
920 ?"Are you playing a saved game (y/n)? ";
921 A$=INKEY$:IF A$="" THEN GOTO 921
922 IF A$="y" OR A$="Y" THEN ?"Yes":?:GOTO 925
923 IF A$="n" OR A$="N" THEN ?"No":?:DT=0:GOTO 67
924 GOTO 921
925 OPEN "game.sav" FOR INPUT AS #1
926 IF LOF(1)=0 THEN CLOSE 1:?"File not found. Error 53 at pgm-ctr: 15522.":?"Abnormal program error...":?"Kernel Panic [End program].":END
927 INPUT #1,CVMT:INPUT #1,CVPT:INPUT #1,CVAW:INPUT #1,CVJA:INPUT #1,CVJO:INPUT #1,CVHA:INPUT #1, CVMA
928 INPUT #1,MATT:INPUT #1,PETE:INPUT #1,ANW:INPUT #1,JAME:INPUT #1,JOHN:INPUT #1,HERO:INPUT #1,MARY
929 INPUT #1,QS:INPUT #1,CVT:INPUT #1,IC:INPUT #1,RM
930 FOR X=7 TO 30:INPUT #1,LO(X):NEXT
931 CLOSE 1
932 DT=0:GOTO 67
994 END
995 ?"@ Thanks for playing! @":?:?"The End"
999 END
1000 IF RM=29 THEN
1001 DS$(RM)="On the branch of a large olive tree":? DS$(RM):?
1002 ?"You are sitting on a branch high atop a large olive tree, which overlooks the"
1003 ?"road to the south. This tree appears very old, but provides ample shade for"
1004 ?"those sitting far below. You notice a few birds chirping peacefully in the"
1005 ?"tree, probably remnants of a much larger flock living in trees to the south"
1006 ?"of the town.":?"The only exit is back down the tree."
1007 END IF
1008 GOTO 313
1999 REM Handle Matthew
1500 IF A$="talk to matthew" OR A$="convert matthew" THEN IF LO(21)<>RM THEN ?"Matthew is not here. Why do you look for the living among the dead?":GOTO 395
1501 IF A$="talk to peter" OR A$="convert peter" THEN IF LO(22)<>RM THEN ?"Peter is not here. Why do you look for the living among the dead?":GOTO 395
1502 IF A$="talk to andrew" OR A$="convert andrew" THEN IF LO(23)<>RM THEN ?"Andrew is not here. Why do you look for the living among the dead?":GOTO 395
1503 IF A$="talk to james" OR A$="convert james" THEN IF LO(24)<>RM THEN ?"James is not here. Why do you look for the living among the dead?":GOTO 395
1504 IF A$="talk to john" OR A$="convert john" THEN IF LO(25)<>RM THEN ?"John is not here. Why do you look for the living among the dead?":GOTO 395
1505 IF A$="talk to harod" OR A$="convert harod" THEN IF LO(26)<>RM THEN ?"Harod is not here. Why do you look for the living among the dead?":GOTO 395
1506 IF A$="talk to centurion" OR A$="convert centurion" THEN IF LO(27)<>RM THEN ?"The centurion is not here. Why do you seek thee without way?":GOTO 395
1507 IF A$="talk to boy" OR A$="convert boy" THEN IF LO(28)<>RM THEN ?"The boy is not here. Why do you seek thee without way?":GOTO 395
1508 IF A$="talk to mary" OR A$="convert mary" THEN IF LO(29)<>RM THEN ?"Mary is not here. Why do you seek the living among the dead?":GOTO 395
1509 IF A$="talk to soldier" OR A$="convert soldier" THEN IF LO(30)<>RM THEN ?"The soldier is not here. Why do you seek thee without way?":GOTO 395
1580 IF MATT=0 THEN IF LO(11)=-1 THEN MATT=1
1581 IF PETE=0 THEN IF MATT=1 AND ANW=1 AND JAME=1 AND JOHN=1 AND MARY=1 THEN PETE=1
1582 IF ANW=0 THEN IF MATT=1 OR JAME=1 OR JOHN=1 OR MARY=1 THEN ANW=1
1583 IF JAME=0 THEN IF LO(20)=-1 THEN JAME=1
1584 IF JOHN=0 THEN IF LO(26)=998 THEN JOHN=1
1585 IF HERO=0 THEN IF LO(25)=998 THEN HERO=1
1586 IF MARY=0 THEN IF LO(13)=-1 THEN MARY=1
1587 IF LO(30)=RM THEN IF LO(26)=998 OR LO(27)=998 THEN ?"The Roman soldier grabs you!":?"He says,'You're under arrest, outlaw!'":N=30:V=20:GOTO 3000
1588 IF HERO=0 AND RM=12 THEN IF A$="go north" OR A$="north" OR A$="n" THEN IF LO(27)=RM THEN ?"The Centurion stops you!":?"He says,'By the order of Harod Antipas, I am placing you under":?"arrest!'":GOTO 3000
1589 IF LO(27)=RM AND HCA=0 THEN HCA=1:IF LO(26)=998 OR LO(30)=998 THEN ?"The Centurion arrests you!":?"He growls,'By the order of Harod Antipas, you are under arrest!'":N=27:V=20:GOTO 3000
1590 IF LO(26)=RM AND HAA=0 THEN HAA=1:IF LO(27)=998 OR LO(30)=998 THEN ?"Harod has you arrested!":?"He says,'Guards! Arrest this man! He is an enermy of Rome!'":?"Centurion arrives.":LO(27)=RM:?"You are placed under arrest.":GOTO 395
1591 IF A$="go south" OR A$="south" OR A$="s" THEN IF RM=15 THEN IF LO(26)=998 OR LO(30)=998 THEN LO(27)=RM:?"Centurion arrives.":?"He barks,'By the order of Harod Antipas, you are hereby confined":?"to this garrison!'"
1592 IF LEFT$(A$,8)="look at " THEN WD$(1)="examine":V=6:GOTO 400
1599 GOTO 2000
2000 IF A$="talk to matthew" THEN
2001 IF MATT=0 THEN
2002 ?"Jesus says,'Peace be with you, friend.'"
2003 ?"Matthew says,'Rabbi, I thank you. My name is Matthew. I am"
2004 ?"but a tax collector for Rome. I am casting my nets into the sea"
2005 ?"in the hopes of finding a great fish.'"
2006 ?"Jesus says,'Thy person is like a wise fisherman who cast his"
2007 ?"net into the sea and drew it up from the sea full of little"
2008 ?"fish. Among them the wise fisherman discovered a fine large"
2009 ?"fish. He threw all the little fish back into the sea, and"
2010 ?"easily chose the large fish. Anyone here with two good"
2011 ?"ears had better listen!'"
2012 GOTO 395
2015 END IF
2016 IF MATT=1 THEN
2017 ?"Jesus says,'Matthew, take up thy nets, thy fish and"
2018 ?"thy taxes and follow me.'"
2019 ?"Matthew relies,'Master, I am but a humble servant of thy"
2020 ?"way.'"
2021 ?"Jesus says,'Joy be unto the person who has toiled and"
2022 ?"has found life. Look to the living one as long as you"
2023 ?"live, otherwise ye might die and then try to see the"
2024 ?"living one, and ye will be unable to see him.'":GOTO 395
2025 END IF
2026 END IF
2027 IF A$="convert matthew" THEN
2028 IF MATT=0 THEN
2029 ?"Jesus says,'Peace be unto you.'"
2030 ?"Matthew says,'Aye, Rabbi. And to you, too.'"
2031 ?"Jesus replies,'Images are visible to people, but the"
2032 ?"the light within them is hidden in the image of Abba's"
2033 ?"light. He will be disclosed, but his image is hidden"
2034 ?"by his own light.'"
2035 ?"Matthew pauses,replying,'Teacher, I am in awe of your"
2036 ?"wisdom. But I cannot follow your light just yet. Perhaps"
2037 ?"if you brought me my papers, then I will follow you":?"unto death.'":GOTO 395
2038 END IF
2039 IF MATT=1 AND CVMT=0 THEN
2040 ?"And as Jesus passed forth from thence, he saw a man, named"
2041 ?"Matthew, sitting at the receipt of custom: and he saith unto"
2042 ?"him, Follow me. And he arose, and follow him."
2043 ?"You have successfully converted Matthew.":CVMT=1:QS=1:?"Matthew leaves south.":LO(21)=26:GOTO 395
2044 END IF
2045 IF MATT=1 THEN
2046 ?"Matthew is already converted to your way.":GOTO 395
2047 END IF
2048 END IF
2049 REM Handle Peter
2050 IF A$="talk to peter" THEN
2051 IF PETE=0 THEN
2052 ?"Jesus says,'Be passersby.'"
2053 ?"Peter replies,'Aye, I am but a local fisherman of"
2054 ?"Capernaum. This boat you see is mine, filled with"
2055 ?"the abundance of many fish!'"
2056 ?"Jesus says,'Grapes are not harvested from thorn trees, nor"
2057 ?"are figs gathered from thistles, for they yield no fruit.'":GOTO 395
2058 END IF
2059 IF PETE=1 THEN
2060 ?"Jesus says,'Peter, cast thy nets with me. For I come"
2061 ?"from Abba. A city built on a high hill and fortified"
2062 ?"cannot fall, nor can it be hidden.'"
2063 ?"Peter replies,'Thy art so wise, Rabbina!'":GOTO 395
2064 END IF
2069 END IF
2070 IF A$="convert peter" THEN
2071 IF PETE=0 THEN
2072 ?"Jesus says,'Friend, will you pick up thy nets and"
2073 ?"follow me?'"
2074 ?"But Peter relies,'Rabbi, I cannot follow you just"
2075 ?"yet. Perhaps when others have, I will, too.'"
2076 GOTO 395
2077 END IF
2078 IF PETE=1 AND CVPT=0 THEN
2079 ?"Jesus says,'Why is the seed enclosed in the ground,"
2080 ?"the abundance buried? Hidden for a short time, it"
2081 ?"will be immeasurable.'"
2082 ?"And when they were perplexed at the strange question,"
2083 ?"Jesus, as he walked, stood on the banks of the River"
2084 ?"Jordan, and stretching out his right hand, he took a"
2085 ?"fig-tree and planted it in the river. And on the"
2086 ?"water, the roots spread out and fruit appeared."
2087 ?"Peter, amazed, replies,'Rabbina, I will follow you"
2088 ?"unto Rome itself! Come with me to my boat, as the"
2089 ?"others have, and we shall set sail upon the Sea of"
2090 ?"Galilee!'":CVPT=1:QS=1:?"You have successfully converted Peter, the last of the disciples.":GOTO 395
2091 END IF
2092 IF PETE=1 THEN
2093 ?"Peter is already converted to your way.":GOTO 395
2094 END IF
2095 END IF
2096 Rem Handle Andrew
2097 IF A$="talk to andrew" THEN
2098 IF ANW=0 THEN
2099 ?"Jesus says,'Hello, friend.'"
2100 ?"Andrew replies,'Aye, and to you a good say, Rabbi.'"
2101 ?"Jesus says,'I disclose my mysteries to those who are"
2102 ?"worthy of my mysteries. Do not let your left hand"
2103 ?"know what your right hand is doing.'":GOTO 395
2104 END IF
2105 IF ANW=1 THEN
2106 ?"Jesus says,'Andrew, where does the master live where"
2107 ?"the servant does not?'"
2108 ?"Andrew relies,'I do not know. Will thou showst me?'"
2109 ?"Jesus replies,'Show me the stone that the builders"
2110 ?"have rejected: for that is the keystone.'":GOTO 395
2111 END IF
2112 END IF
2113 IF A$="convert andrew" THEN
2114 IF ANW=0 THEN
2115 ?"Jesus says,'Peace be with you. Buyers and merchants"
2116 ?"will not enter the places of my Father.'"
2117 ?"Andrew replies,'Rabbi, I am neither a merchant nor"
2118 ?"a sinner. Why do you say these things of me?'"
2119 ?"Jesus says,'I am the light that is over all things."
2120 ?"I am all: from me all came forth, and to me all"
2121 ?"attained. Split a piece of wood; I am there. Lift"
2122 ?"up the stone, and ye will find me there.'":GOTO 395
2123 END IF
2124 IF ANW=1 AND CTAW=0 THEN
2125 ?"Now as he walked by the sea of Galilee, he saw Simon"
2126 ?"and Andrew his brother casting a net into the sea: for"
2127 ?"they were fishers. And Jesus said unto them, Come ye"
2128 ?"after me, and I will make you to become fishers of men.'"
2129 ?"And straightway they forsook their nets, and followed"
2130 ?"him.":CTAW=1:QS=1:?"You have successfully converted Andrew.":?"Andrew leaves south.":LO(23)=26:GOTO 395
2131 END IF
2132 IF ANW=1 THEN
2133 ?"Andrew is already converted to your way.":GOTO 395
2134 END IF
2135 END IF
2136 REM Handle James
2137 IF A$="talk to james" THEN
2138 IF JAME=0 THEN
2139 ?"James was washing a cup to drink, but Jesus, in"
2140 ?"his wisdom, replied,'Why do ye wash the outside of"
2141 ?"the cup? Do you not understand that the one who made"
2142 ?"the inside is also the one who made the outside?'"
2143 ?"James replies,'I do not know master, for I am"
2144 ?"thirsty in both mind and spirit. Tell me, why are"
2145 ?"you so wise in the ways of the world?'"
2146 ?"Jesus replies,'Let one who has found the world, and"
2147 ?"has become wealthy, renounce the world. The heavens"
2148 ?"will roll up in your presence, and whoever is living"
2149 ?"from the living one will not see death.'":GOTO 395
2150 END IF
2151 IF JAME=1 THEN
2152 ?"Jesus says,'James, pick up thy nets which ye cast"
2153 ?"into the sea and follow me.'"
2154 ?"But James replies,'Rabbina, you are like a just"
2155 ?"messenger. But I cannot follow you just yet, for"
2156 ?"there is something which I want to ask of thee."
2157 ?"If you try to convert me hence, I will not follow"
2158 ?"until you bring me a large fish.'":GOTO 395
2159 END IF
2160 END IF
2161 IF A$="convert james" THEN
2162 IF JAME=0 THEN
2163 ?"Jesus says,'I shall choose you, one from a thousand"
2164 ?"and two from ten thousand, and they will stand as a"
2165 ?"single one.' James saw Jesus and came with a":?"multitude of fishermen."
2166 ?"Coming to him, they tested him in exacting way,"
2167 ?"saying: 'Teacher Jesus, we know that you have come"
2168 ?"from God, for what you do testifies beyond all the"
2169 ?"prophets. Therefore tell us, is it lawful to pay"
2170 ?"kings the things which benefit their rule? Shall"
2171 ?"we pay them or not?' But Jesus, perceiving their"
2172 ?"purpose and becoming indignant said to them:' Why"
2173 ?"do you call me teacher with your mouth, not doing"
2174 ?"what I say? Well did Isaiah prophesy concerning"
2175 ?"you, saying: 'This people honor me with their lips,"
2176 ?"but their heart is far from me. And in vain they"
2177 ?"worship me, teaching as their doctrines the pre-"
2178 ?"cepts of men.'"
2179 ?"But James replied,'Master, I am hungry and the"
2180 ?"fish are not biting. Bring me a fish and I shall"
2181 ?"follow you to the ends of time!'":GOTO 395
2182 END IF
2183 IF JAME=1 AND CVJA=0 THEN
2184 ?"And when he had gone a little further thence, he saw James the son of Zebedee,":?"and John his brother, who also were in the ship mending their nets."
2185 ?"And straightway he called them: and they left their father Zebedee in the ship":?"with the hired servants, and went after him. And they went into Capernaum;":?"and straightway on the sabbath day he entered into the synagogue, and taught."
2186 ?"And they were astonished at his doctrine: for he taught them as one that had":?"authority, and not as the scribes. And there was in their synagogue a man":?"with an unclean spirit; and he cried out, Saying, Let us alone; what have"
2187 ?"we to do with thee, thou Jesus of Nazareth? art thou come to destroy us?":?"I know thee who thou art, the Holy One of God. And Jesus rebuked him, saying,":?"'Hold thy peace, and come out of him.' And when the unclean spirit had torn"
2188 ?"him, and cried with a loud voice, he came out of him. And they were all amazed,":?"insomuch that they questioned among themselves, saying, What thing is this?":?"what new doctrine is this? for with authority commandeth he even the unclean"
2189 ?"spirits, and they do obey him. And immediately his fame spread abroad":?"throughout all the region round about Galilee.":?"You have successfully converted James.":CVJA=1:QS=1:?"James leaves south.":LO(24)=26:GOTO 395
2190 END IF
2191 IF JAME=1 THEN
2192 ?"James is already converted to your way.":GOTO 395
2193 END IF
2194 END IF
2195 REM Handle John
2196 IF A$="talk to john" THEN
2197 IF JOHN=0 THEN
2198 ?"Jesus says,'Know what is in front of your face, and what is hidden"
2199 ?"from you will be disclosed to you. For there is nothing hidden that"
2200 ?"will not be revealed. And there is nothing buried that will not be"
2201 ?"raised.'"
2202 ?"When John heard of this, he grew the more afraid, saying,'Rabbi, what"
2203 ?"knowledge have you of the Pharisees?'"
2204 ?"Jesus replied,'The Pharisees and the scholars have taken the keys of"
2205 ?"knowledge and have hidden them. They have not entered nor have they"
2206 ?"allowed those who want to enter to do so. As for you, be sly as snakes"
2207 ?"and as simple as doves.'":GOTO 395
2208 END IF
2209 IF JOHN=1 THEN
2210 ?"Jesus looked at John and said,'Perhaps people think that I have come"
2211 ?"to cast peace upon the world. They do not know that I have come to cast"
2212 ?"conflicts upon the earthL fire, sword, war.'"
2213 ?"To which John replied,'Teacher, there is a problem in my heart, for it"
2214 ?"longs for an end to suffering. Harod Antipas has destroyed the will of my"
2215 ?"people, members of the Sicarii, and driven us out of Galilee with the"
2216 ?"force of many staves. Will thou smite him with this sword, and bring"
2217 ?"people to our lands?'"
2218 ?"But Jesus rebuked him, saying,'Punish every wrongdoer but me. I will give"
2219 ?"you what no eye has seen, what no ear has heard, what no hand has touched,"
2220 ?"what has not arisen in the human heart.'"
2221 ?"But John was persistent, saying,'Take this gladius and smite Harod Antipas"
2222 ?"like the snake that he is! Only then will I follow thee!'":GOTO 395
2223 END IF
2224 END IF
2225 IF A$="convert john" THEN
2226 IF JOHN=0 THEN
2227 ?"Jesus looked at John, and said,'Whoever has something in hand will be"
2228 ?"given more, and whoever has nothing will be deprived of even the little"
2229 ?"they have. You do not understand who I am from what I say to you. Rather,"
2230 ?"you have become like the Judeans, for they love the tree but hate its"
2231 ?"fruit, or they love the fruit but hate the tree.'"
2232 ?"John replies,'I am not a farmer, and I know of no such things. I am a"
2233 ?"member of the Sicarii, for we plan and scheme against the rulers of Rome,"
2234 ?"striking them from the hearts of men too stubborn to hear our call!'"
2235 ?"But Jesus did not listen, saying, 'A person cannot mount two horses or bend"
2236 ?"two bows. And a slave cannot serve two masters, otherwise that slave will"
2237 ?"honor the one and offend the other.'"
2238 ?"John questioned him, saying, 'Bring me the head of Antipas, and then I will"
2239 ?"serve thee unto the world in which ye live!'":GOTO 395
2240 END IF
2241 IF JOHN=1 AND CVJO=0 THEN
2242 ?"Jesus said to John,'I took my stand in the midst of the world, and in"
2243 ?"flesh I appeared to them. I found them all drunk, and I did not find any"
2244 ?"of them thirsty. My soul ached for the children of humanity, because they"
2245 ?"are blind in their hearts and do not see, for they came into the world"
2246 ?"empty, and they also seek to depart from the world empty. But meanwhile"
2247 ?"they are drunk. When they shake off their wine, then they will change"
2248 ?"their ways. I have done what ye have asked of me. What more can I do for"
2249 ?"humanity?'"
2250 ?"John replied,'Oh Master! Ye art a wise sage!'"
2251 ?"Howbeit Jesus suffered him not, but saith unto him, 'Go home to thy"
2252 ?"friends, and tell them how great things the Lord hath done for thee,"
2253 ?"and hath had compassion on thee. What you will hear in your ear, in the"
2254 ?"other ear proclaim from your rooftops. After all, no one lights a lamp"
2255 ?"and puts it under a basket, nor does one put it in a hidden place."
2256 ?"Rather, one puts it on a lampstand so that all who come and go will see"
2257 ?"its light.'"
2258 ?"You have successfully converted John.":CVJO=1:QS=1:?"John leaves south.":LO(25)=26:GOTO 395
2259 END IF
2260 IF JOHN=1 THEN
2261 ?"John is already converted to your way.":GOTO 395
2262 END IF
2263 END IF
2264 REM Handle Harod
2265 IF A$="talk to harod" THEN
2266 IF HERO=0 THEN
2267 ?"Jesus drew forth to Harod, and the rulers before him. And turning to the"
2268 ?"rulers of the people he said this word: 'Search the scriptures, in which"
2269 ?"you think you have life. These are they, which testify about me. Do not"
2270 ?"suppose that I have come to accuse you to my father. There is one who"
2271 ?"accuses you: Moses, in whom you have hoped.'"
2272 ?"But the rulers were confused by these words, and they said,'We know that"
2273 ?"God spoke to Moses, but as for you, we do not know, where you are from.'"
2274 ?"Jesus answered and said to them: 'Now is accused your disbelief in those"
2275 ?"who have been commended by him. For had you believed Moses, you would"
2276 ?"have believed me. For about me he wrote to your fathers.'"
2277 ?"Harod looked upon Jesus with a grave face, replying, 'I know not who thou"
2278 ?"are! Take your rabble and go from here! Hence forth now!'":GOTO 395
2279 END IF
2280 IF HERO=1 THEN
2281 ?"Harod drew Jesus forth, saying, 'Tell me about your kingdom. Where"
2282 ?"are you from?'"
2283 ?"Jesus said,'If your leaders say to you,'Look, the kingdom is in the"
2284 ?"sky,' then the birds of the sky will precede you. If they say to you,'It"
2285 ?"is in the sea,' then the fish will precede you. Rather, the kingdom is"
2286 ?"within you and it is outside you. When you know yourselves, then you"
2287 ?"will be known, and you will understand that you are children of the living"
2288 ?"Father. But if you do not know yourselves, then you live in poverty, and"
2289 ?"you are the poverty.'"
2290 ?"Harod was the more confused, and asked, 'What is your kingdom like?'"
2291 ?"Jesus said,'The Father's kingdom is like a person who has seed. His enemy"
2292 ?"came during the night and sowed weeds among the good seed. The person did"
2293 ?"not let the workers pull up the weeds, but said to them,'No, otherwise"
2294 ?"you might go to pull up the weeds and pull up the wheat along with them.'"
2295 ?"For on the day of the harvest the weeds will be conspicuous, and will be"
2296 ?"pulled up and burned.'":GOTO 395
2297 END IF:END IF
2298 IF A$="convert harod" THEN
2299 IF HERO=0 THEN
2300 ?"Jesus says,'Those who seek should not stop seeking until they find. When"
2301 ?"they find, they will be disturbed. When they are disturbed, they will"
2302 ?"marvel, and will reign over all. And after they have reigned they will"
2303 ?"rest.'"
2304 ?"Harod was curious, replying,'I've heard of this kingdom. Tell me of it.'"
2305 ?"Jesus drew forth the guards, and said to them, 'It is like a mustard seed,"
2306 ?"the smallest of all seeds, but when it  falls on prepared soil, it produces"
2307 ?"a large plant and becomes a shelter for birds of the sky.'"
2308 ?"But Harod was not impressed, saying, 'There is a local malefactor who"
2309 ?"hath given me much trouble. His name is John, of the Sicarii. We believe"
2310 ?"he takes up residence in a cave near Gesgesa, just beyond our port. If you"
2311 ?"dispatch of him for me, then I will hear more of your wisdom, and grant"
2312 ?"thee an audience for thy words! But only then will I follow thee! Now go"
2313 ?"upon this world and find the weeds amidst the soil, and pull them out!'"
2314 GOTO 395
2315 END IF
2316 IF HERO=1 AND CVHA=0 THEN
2317 ?"Jesus drew to Harod, saying, 'I have done what you have asked of me.'"
2318 ?"Harod was the more pleased, replying, 'Thou art a true saint and savior"
2319 ?"of men! I can only marvel at your power and great wisdom, Rabbina! Tell":?"me the more about thy kingdom!'"
2320 ?"Jesus said,'The kingdom is like a shepherd who had a hundred sheep. One of"
2321 ?"them, the largest, went astray. He left the ninety-nine and looked for the"
2322 ?"one until he found it. After he had toiled, he said to th sheep,'I love you"
2323 ?"more than the ninety-nine.'"
2324 ?"You have successfully converted Harod Antipas.":CVHA=1:QS=1:?"Harod leaves south.":LO(26)=26:GOTO 395
2325 END IF
2326 IF HERO=1 THEN
2327 ?"You have already converted Harod Antipas to your way.":GOTO 395
2328 END IF
2329 END IF
2330 REM Handle Centurion
2331 IF A$="talk to centurion" THEN
2332 ?"But the centurion does not seem interested in your words. He says,'Papers,"
2333 ?"please! Where are your papers?'":GOTO 395
2334 END IF
2335 IF A$="convert centurion" THEN
2336 ?"The centurion does not seem concerned with the Essene movement."
2337 ?"He says,'Your papers, Rabbi. Show me your papers!'":GOTO 395
2338 END IF
2339 REM Handle boy
2340 IF A$="talk to boy" THEN
2341 ?"The boy is too sickly to answer to your words.":GOTO 395
2342 END IF
2343 IF A$="convert boy" THEN
2344 ?"The boy is dying of plague. He cannot be converted.":GOTO 395
2345 END IF
2346 REM Handle Mary
2347 IF A$="talk to mary" THEN
2348 IF MARY=0 THEN
2349 ?"Mary said to Jesus,'What are your disciples like?'"
2350 ?"He said,'They are like small rabbits living in a field that is not"
2351 ?"theirs. When the owners of the field come, they will say,'Give us back"
2352 ?"our field.' They shed their fur in front of them in order to give it"
2353 ?"back to them, and they return their field to them. For this reason"
2354 ?"I say, if the owners of a house know that a thief is coming, they will"
2355 ?"be on guard before the thief arrives and will not let the thief break"
2356 ?"into their house and steal their possessions. As for you, then, be on"
2357 ?"guard against the world. Prepare yourself with great strength, so the"
2358 ?"robbers can't find a way to get to you, for the trouble you expect"
2359 ?"will come. Let there be among you a person who understands. When the"
2360 ?"crop ripened, he came quickly carrying a sickle and harvested it."
2361 ?"Anyone here with two good ears had better listen!'"
?"Mary continues,'Rabbina, I am yours alone! But I am missing something very"
?"important to me. My medallion is lost. Will ye find it for me? When you"
?"have found it, bring it to me, so I may wear it around my neck for all"
?"to see. Only then can I follow you for the rest of my days!'"
?"Jesus says,'Mary, I will find it for thee.'":SLEEP 1:?:?"@ Press any key... @"
awalt:
A$=INKEY$:IF A$="" THEN GOTO awalt
GOTO 395
2362 END IF
2363 IF MARY=1 THEN
2364 ?"Jesus drew Mary forth and kissed her on the mouth. And the companion"
2365 ?"of the woman, Mary Magdalene, loved her more than all the disciples, and"
2366 ?"used to kiss her often on her mouth. The rest of the disciples were"
2367 ?"deceived. They said to him,'Why do you love her more than all of us?' The"
2368 ?"Savior answered and said to them,'Why do I not love you like her? When a"
2369 ?"blind man and one who sees are both together in darkness, they are no"
2370 ?"different from one another. When the light comes, then he who sees will see"
2371 ?"the light, and he who is blind will remaind in darkness.'"
2372 ?"Jesus looked at Mary, saying,'Oh woman, thy art a kindred spirit of mine!'"
2373 GOTO 395
2377 END IF
2378 END IF
2379 IF A$="convert mary" THEN
2380 IF MARY=0 THEN
2381 ?"Jesus says,'Damn the flesh that depends on the soul. Damn the soul that"
2382 ?"depends on the flesh.'"
2383 ?"But Mary looked at Jesus, replying, 'Rabbi, I have lost my medallion 'round my"
2384 ?"neck. What good is the flesh if it cannot be adorned with jewelry?'"
2385 ?"Jesus stood firm, saying,'The heavens and the earth will roll up in your"
2386 ?"presence, and whoever is living from the living one will not see death.'"
2387 ?"Mary was confused, asking, 'Rabbina, I do not know where the heavens or"
2388 ?"the earth begin or end, but my world is in vain if not adorned with the"
2389 ?"bright light of my medallion. Will ye find it for me? Surely I will follow"
2390 ?"thee if my medallion is with me!'":GOTO 395
2391 END IF
2392 IF MARY=1 AND CVMA=0 THEN
2393 ?"Jesus drew forth to Mary, saying, 'I have found your medallion. Whoever"
2394 ?"drinks from my mouth will become like me; I myself shall become that"
2395 ?"person, and the hidden things will be revealed to him.'"
2396 ?"Mary hugged Jesus, saying in rapture, 'Oh, Rabbina, I shall follow you!'"
2397 CVMA=1:QS=1:?"You have successfully converted Mary Magdalene, who is to":?"be the wife of Jesus.":?"Mary leaves south.":LO(29)=26:GOTO 395
2398 END IF
2399 IF MARY=1 THEN
2400 ?"You have already converted Mary Magdalene to your way.":GOTO 395
2401 END IF
2402 END IF
2499 GOTO 400: REM Back to Parser
2999 REM Fight routine
3000 RANDOMIZE TIMER:MH=INT(RND*250)+1:HP=MH+100:IF N=0 OR N<21 OR N>30 THEN ?"You cannot fight that.":GOTO 395
3001 IF LO(N)<>RM THEN ?"You don't see ";AO$(N);" here to fight.":GOTO 395
3002 IF N=21 THEN IF LO(9)<>105 THEN ?"You must be wielding the gladius to fight Matthew.":GOTO 395
3003 IF N=22 THEN IF LO(15)<>105 THEN ?"You must be wielding the spear to fight Peter.":GOTO 395
3004 IF N=23 THEN IF LO(18)<>105 THEN ?"You must be wielding the dagger to fight Andrew.":GOTO 395
3005 IF N=24 THEN ?"You cannot fight with James The Just, for he is your brother in Christ.":GOTO 395
3006 IF N=25 THEN GOTO 3010
3007 IF N=26 THEN GOTO 3010
3008 IF N=27 THEN GOTO 3010
3009 IF N=28 OR N=29 THEN ?"Really? Attack such a weak opponent?":?"Have you drank too much wine today, Jesus?":GOTO 395
3010 ?">":?"You raise your ";:DM=1:FOR X=7 TO 20:IF LO(X)=105 THEN DM=X:? AO$(X);" to attack ";AO$(N);"..."
3011 NEXT:IF DM=1 THEN ?"hands to attack ";AO$(N);"..."
3012 ?">":RANDOMIZE TIMER:I=INT(RND*35)+1:IF I<=5 THEN ?"Alas, you have missed ";AO$(N);"."
3013 IF I>=6 AND I<=10 THEN ?"You struck ";AO$(N);" with a solid blow.":MH=MH-DM
3014 IF I>=11 AND I<=15 THEN ?"You wounded ";AO$(N);" badly. You see blood":?"drops on the floor.":MH=MH-(DM*3)
3015 IF I>=16 AND I<=20 THEN ?"Oh sweet mercy! You DESTROYED ";AO$(N);"!":?"The sin of the Son now outweighs the sins of the Father.":MH=MH-(DM*5)
3016 IF I>=21 THEN ?"Your attack on ";AO$(N);" was dodged easily."
3017 PRINT">":?"@ Press any key to continue... @"
3018 A$=INKEY$:IF A$="" THEN GOTO 3018
3019 GOSUB 4400:?">":?"Your hit points are now:";HP:?"The enemy ";AO$(N);" has:";MH:?:AC=0:FOR X=7 TO 18:IF LO(X)=205 THEN AC=AC+X
3020 NEXT:IF HP=0 THEN ?"Alas, you have sustained a mortal blow...":?:?"@ The Game is Over @":?:?"Play again (y/n)? ";:GOTO 8700
3021 IF MH=0 THEN ?"Your enemy ";AO$(N);" has died.":?"You killed ";AO$(N);".":?"You pray to the fallen foe.":GOTO 3050
3022 ?">":RANDOMIZE TIMER:I=INT(RND*25)+1:IF I<=4 THEN ?"The enemy ";AO$(N);" missed you badly."
3023 IF I>=5 AND I<=9 THEN ?"The enemy ";AO$(N);" has struck a strong blow!":?"You really felt that one!":HP=HP-80:HP=HP+AC
3024 IF I>=10 AND I<=14 THEN ?"Wow! The enemy ";AO$(N);" almost crucified you!":?"You feel dizzy and weak!":HP=HP-100:HP=HP+AC
3025 IF I>=15 THEN ?"You just barely avoid ";AO$(N);"'s attack!"
3026 ?">":?"@ Press any key to continue... @"
3027 A$=INKEY$:IF A$="" THEN GOTO 3027
3028 GOTO 3010
3049 REM Dish out battle rewards
3050 LO(N)=998:?"You are tempted to heal ";AO$(N);" much like":?"Lazarus before this, but sometimes the Lord needs to":?"clean the thistle from the thorns."
3051 FOR X=7 TO 18:IF LO(X)=(1000+N) THEN LO(X)=RM:?"You found a ";AO$(X);" on the corpse of ";AO$(N);"."
3052 NEXT
3058 GOTO 395
3999 REM Eat verb (4000-4005)
4000 IF N<>20 OR LO(N)<>-1 AND LO(N)<>RM THEN ?"You cannot eat that.":GOTO 395
4001 IF N=20 THEN ?"YUM!":?"The fish tastes mighty good!":LO(20)=999:GOTO 395
4002 :
4005 PRINT"What?":GOTO 395
4399 REM Check for valid HP
4400 IF HP<0 THEN HP=0
4401 IF MH<0 THEN MH=0
4402 RETURN
4999 REM Display Info Bar at top of screen (loc 1,1)
5000 LOCATE 1,1:COLOR 7,1:? SPACE$(80)
5001 LOCATE 1,1:COLOR 7,1:? DS$(RM)
5002 COLOR 1,7:LOCATE xx,1:RETURN
5999 REM Weather effects
6000 RANDOMIZE TIMER:I=INT(RND*120)+1:IF CT>75 THEN CT=0:?"The sun is rising on a new day.":IF LT=1 THEN IF LO(7)=-1 OR LO(7)=RM THEN LT=0:?"The light of your lamp has faded completely."
6001 IF RM=3 OR RM=4 OR RM=5 OR RM=12 OR RM=13 OR RM=14 OR RM=15 OR RM=16 OR RM=18 OR RM=19 OR RM=20 OR RM=21 OR RM=22 OR RM=23 THEN RETURN
6002 IF I=2 THEN ?"Thunder rumbles in the near distance."
6003 IF I=4 THEN ?"You see storm clouds gathering on the horizon."
6004 IF I=6 THEN ?"There is a light breeze."
6005 IF I=8 THEN ?"A cool wind blows out of the southeast."
6006 IF I=10 THEN ?"A warm wind blows out of the northwest."
6007 IF I=12 THEN ?"Lighting streaks across the sky, scarring it across."
6008 IF I=14 THEN ?"A gentle rain pelts the ground."
6009 IF I=16 THEN ?"There is a torrentual downpour."
6010 IF I=18 THEN ?"A strong wind is blowing, moving leaves and dust about the ground."
6011 IF I=20 THEN ?"The sky suddenly turns dark, signaling rain."
6012 :
6020 RETURN
8499 REM End game
8500 IF EG=0 THEN IF LO(21)<>RM AND LO(22)<>RM AND LO(23)<>RM AND LO(24)<>RM THEN ?"You cannot set sail yet. You have not acquired the necessary":?"followers.":GOTO 395
8501 ?:?"You set sail for Tiberias, on the western shores of the Sea of Galilee...":?
8502 ?"Jesus said,'After my departure there will arise the ignorant and the crafty,"
8503 ?"and many things will they ascribe unto Me that I never spake, and many things"
8504 ?"which I did speak will they withhold, but the day will come when the clouds"
8505 ?"shall be rolled away, and the Sun of Righteousness shall shine forth with"
8506 ?"healing in his wings."
8507 ?"'I am the Way, the Truth, the Life. The doctrine which I teach is that which"
8508 ?"I am. I am It and It is I.'":?
8509 ?"There are also many things which Jesus did, the which if they should be"
8510 ?"written, I suppose that the world itself could not contain the books that"
8511 ?"should be written. (Gospel of the Perfect Life, from the ancient Essenes)"
8512 ?:?"@ End of Game @"
8513 A$=INKEY$:IF A$="" THEN GOTO 8513
8514 END
8699 REM Play again prompt
8700 A$=INKEY$:IF A$="" THEN GOTO 8700
8701 IF A$="y" OR A$="Y" THEN ?"Yes":PRINT:SLEEP 1:GOTO 42
8702 IF A$="n" OR A$="N" THEN ?"No":PRINT:SLEEP 1:?"@ It's Game Over, Jesus @":END
8703 GOTO 8700
8799 REM Check for items on people
8800 IF N<21 THEN RETURN
8801 si=0:?"You notice ";AO$(N);" carrying:":FOR X=7 TO 18:IF LO(X)=(1000+N) THEN ?" ";NO$(X):si=1
8802 NEXT:if si=0 THEN ?"Nothing!"
8803 RETURN
8999 REM Trap for errors
9000 IF (ERR=53) THEN CLOSE 1:?"File not found. Error 53 at pgm-ctr: 15522.":?"Abnormal program error...":?"Kernel Panic [End program].":END
9001 IF (ERR=54) OR (ERR=62) THEN CLOSE 1:?:?"Unknown program error. Terminating program.":END
9002 ?:?"Unknown program error. Terminating program.":END
9100 IF RM=1 THEN
9101 :
9102 :
9103 :
9104 RETURN
9105 END IF
9110 IF RM=2 THEN
9111 :
9112 :
9113 :
9114 RETURN
9115 END IF
9120 IF RM=3 THEN
9121 :
9122 :
9123 :
9124 RETURN
9125 END IF
9130 IF RM=4 THEN
9131 :
9132 :
9133 :
9134 RETURN
9135 END IF
9140 IF RM=5 THEN
9141 :
9142 :
9143 :
9144 RETURN
9145 END IF
9150 IF RM=6 THEN 
9151 :
9152 :
9153 :
9154 RETURN
9155 END IF
9160 IF RM=7 THEN 
9161 :
9162 :
9163 :
9164 RETURN
9165 END IF
9170 IF RM=8 THEN 
9171 :
9172 :
9173 :
9174 RETURN
9175 END IF
9180 IF RM=9 THEN 
9181 :
9182 :
9183 :
9184 RETURN
9185 END IF
9190 IF RM=10 THEN 
9191 :
9192 :
9193 :
9194 RETURN
9195 END IF
9200 IF RM=11 THEN 
9201 :
9202 :
9203 :
9204 RETURN
9205 END IF
9210 IF RM=12 THEN 
9211 :
9212 :
9213 :
9214 RETURN
9215 END IF
9220 IF RM=13 THEN 
9221 :
9222 :
9223 :
9224 RETURN
9225 END IF
9230 IF RM=14 THEN 
9231 :
9232 :
9233 :
9234 RETURN
9235 END IF
9240 IF RM=15 THEN 
9241 :
9242 :
9243 :
9244 RETURN
9245 END IF
9250 IF RM=16 THEN 
9251 :
9252 :
9253 :
9254 RETURN
9255 END IF
9260 IF RM=17 THEN 
9261 :
9262 :
9263 :
9264 RETURN
9265 END IF
9270 IF RM=18 THEN 
9271 :
9272 :
9273 :
9274 RETURN
9275 END IF
9280 IF RM=19 THEN 
9281 :
9282 :
9283 :
9284 RETURN
9285 END IF
9290 IF RM=20 THEN 
9291 :
9292 :
9293 :
9294 RETURN
9295 END IF
9300 IF RM=21 THEN 
9301 :
9302 :
9303 :
9304 RETURN
9305 END IF
9310 IF RM=22 THEN 
9311 :
9312 :
9313 :
9314 RETURN
9315 END IF
9320 IF RM=23 THEN 
9321 :
9322 :
9323 :
9324 RETURN
9325 END IF
9330 IF RM=24 THEN 
9331 :
9332 :
9333 :
9334 RETURN
9335 END IF
9340 IF RM=25 THEN 
9341 :
9342 :
9343 :
9344 RETURN
9345 END IF
9350 IF RM=26 THEN 
9351 :
9352 :
9353 :
9354 RETURN
9355 END IF
9360 IF RM=27 THEN 
9361 :
9362 :
9363 :
9364 RETURN
9365 END IF
9370 IF RM=28 THEN 
9371 :
9372 :
9373 :
9374 RETURN
9375 END IF
9380 IF RM=29 THEN 
9381 :
9382 :
9383 :
9384 RETURN
9385 END IF
9386 RETURN
